DigesterFactory (Tomcat API Documentation)
Keywords: org.apache.catalina.startup.DigesterFactory class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.startup
Class DigesterFactory

    java.lang.Object
      org.apache.catalina.startup.DigesterFactory

    public class DigesterFactory

extends java.lang.Object

Wrapper class around the Digester that hide Digester's initialization details

Author:
  Jean-Francois Arcand

Field Summary
`protected static Log` | `log` The log.

Constructor Summary
`DigesterFactory()`

Method Summary
`protected static void` | `configureSchema(Digester digester)` Turn on DTD and/or validation (based on the parser implementation)
`static Digester` | `newDigester()` Create a `Digester` parser with no `Rule` associated and XML validation turned off.
`static Digester` | `newDigester(boolean xmlValidation, boolean xmlNamespaceAware, RuleSet rule)` Create a `Digester` parser.
`static Digester` | `newDigester(RuleSet rule)` Create a `Digester` parser with XML validation turned off.
`protected static void` | `register(java.lang.String resourceURL, java.lang.String resourcePublicId)` Load the resource and add it to the resolver.
`protected static void` | `registerLocalSchema()` Utilities used to force the parser to use local schema, when available, instead of the `schemaLocation` XML element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static Log log

  The log.

Constructor Detail

### DigesterFactory

    public DigesterFactory()

Method Detail

### newDigester

    public static Digester newDigester()

  Create a `Digester` parser with no `Rule` associated and XML validation turned off.

### newDigester

    public static Digester newDigester(RuleSet rule)

  Create a `Digester` parser with XML validation turned off.

  Parameters:
    `rule` - an instance of `RuleSet` used for parsing the xml.

### newDigester

    public static Digester newDigester(boolean xmlValidation,
                                       boolean xmlNamespaceAware,
                                       RuleSet rule)

  Create a `Digester` parser.

  Parameters:
    `xmlValidation` - turn on/off xml validation
    `xmlNamespaceAware` - turn on/off namespace validation
    `rule` - an instance of `RuleSet` used for parsing the xml.

### registerLocalSchema

    protected static void registerLocalSchema()

  Utilities used to force the parser to use local schema, when available, instead of the `schemaLocation` XML element.

### register

    protected static void register(java.lang.String resourceURL,
                                   java.lang.String resourcePublicId)

  Load the resource and add it to the resolver.

### configureSchema

    protected static void configureSchema(Digester digester)

  Turn on DTD and/or validation (based on the parser implementation)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.